#
set nodes=$1
set edges=$2
set wb=$3
awk '{print $18, $14}' test4.stats.adapt > adapt
sort adapt > t
awk -f ~/newawk/ave5.awk t | sort > adapt.ave
s  << !
adapt _ matrix(read("adapt"),ncol=2,byr=T)
adaptave _ matrix(read("adapt.ave"),ncol=2,byr=T)
xr _ range(adapt[,1])
yr _ range(0,10,adapt[,2])
postscript("tests.ps", horizontal=F, height=4.0)
par(mgp=c(1,0,0))
par(mar=c(4,2,0,0))
par(tck=0.02)
par(pch=".")
plot(adapt[,1],adapt[,2],xlim=xr,ylim=yr,type="n",
xlab="Round Number", ylab="Number of Repairs",
sub="Adaptive Repair Timers, N=$nodes, M=$edges, G=$wb")
points(adapt[,1],adapt[,2],type="p",pch="+")
par(lty=1)
lines(adaptave[,1],adaptave[,2],type="l")
q()
!
cp tests.ps test4.adapt.$nodes.$edges.$wb.ps
#
awk '{print $18, $14}' test4.stats.noadapt > noadapt
sort noadapt > t
awk -f ~/newawk/ave5.awk t | sort > noadapt.ave
s << ! 
noadapt _ matrix(read("noadapt"),ncol=2,byr=T)
noadaptave _ matrix(read("noadapt.ave"),ncol=2,byr=T)
xr _ range(noadapt[,1])
yr _ range(0,10,noadapt[,2])
postscript("tests.ps", horizontal=F, height=4.0)
par(mgp=c(1,0,0))
par(mar=c(4,2,0,0))
par(tck=0.02)
par(pch=".")
plot(noadapt[,1],noadapt[,2],xlim=xr,ylim=yr,type="n",
xlab="Round Number", ylab="Number of Repairs",
sub="Non-adaptive Repair Timers, N=$nodes, M=$edges, G=$wb")
points(noadapt[,1],noadapt[,2],type="p",pch="+")
par(lty=1)
lines(noadaptave[,1],noadaptave[,2],type="l")
q()
!
cp tests.ps test4.noadapt.$nodes.$edges.$wb.ps
#
awk '{print $18, $16}' test4.stats.adapt | sort > chart
awk '{print $18, $16}' test4.stats.noadapt | sort > chart1
awk -f ~/newawk/ave5.awk chart | sort > chart.avg
awk -f ~/newawk/ave5.awk chart1 | sort > chart1.avg
s << ! 
chart _ matrix(read("chart"),ncol=2,byr=T)
chart1 _ matrix(read("chart1"),ncol=2,byr=T)  
chartavg _ matrix(read("chart.avg"),ncol=2,byr=T)
chart1avg _ matrix(read("chart1.avg"),ncol=2,byr=T)  
xr _ range(chart[,1],chart1[,1])
yr _ range(0,chart[,2],chart1[,2]) 
postscript("tests.ps", horizontal=F, height=4.0)
par(mgp=c(1,0,0))
par(mar=c(4,2,0,0))
par(tck=0.02)
par(pch=".")
plot(chart[,1],chart[,2],xlim=xr,ylim=yr,type="n",
xlab="Round Number", ylab="Average Delay / RTT",
sub="Solid for adaptive, dashed for nonadaptive, N=$nodes, M=$edges, G=$wb")
#points(chart[,1],chart[,2],type="p",pch="+")
#points(chart1[,1],chart1[,2],type="p",pch="x")
par(lty=1)
lines(chartavg[,1],chartavg[,2],type="l")
par(lty=2)
lines(chart1avg[,1],chart1avg[,2],type="l")    
q()
!
cp tests.ps test4.delay.$nodes.$edges.$wb.ps
##
s << !
chart _ matrix(read("chart"),ncol=2,byr=T) 
chart1 _ matrix(read("chart1"),ncol=2,byr=T) 
xr _ range(chart[,1],chart1[,1])
yr _ range(0,chart[,2],chart1[,2])
postscript("tests.ps", horizontal=F, height=4.0)
par(mgp=c(1,0,0))
par(mar=c(4,2,0,0))
par(tck=0.02) 
par(pch=".")
plot(chart[,1],chart[,2],xlim=xr,ylim=yr,type="n",
xlab="Round Number", ylab="Delay / RTT",
sub="'+' for adaptive, 'x' for nonadaptive, N=$nodes, M=$edges, G=$wb")
points(chart[,1],chart[,2],type="p",pch="+")
points(chart1[,1],chart1[,2],type="p",pch="x")
q() 
!
cp tests.ps test4.delay1.$nodes.$edges.$wb.ps
cp test4*ps figures
